class AddTagSupport < ActiveRecord::Migration
  def self.up
    #Table for your Tags
    create_table(:tags) do |t|
      t.column(:name, :string)
    end
    add_index(:tags, :name)

    create_table(:journals_tags, :id => false) do |t|
      t.column(:tag_id, :integer)
      t.column(:journal_id, :integer)
    end
  end

  def self.down
    drop_table(:tags)
    drop_table(:tags_journal)
  end
end
